create table RP5LOGDATA (
dtime datetime, 
milli int,
IO char(15),
value_stat tinyint,
sequence tinyint,
quality tinyint,
type tinyint,
ns tinyint,
acknowledged datetime NULL,
unique (dtime,milli,IO)
)

create index time on LOGDATA (dtime,milli)
create index IO on LOGDATA (IO)



create table TAGS (
Tagname char(30),
Description char(60),
IO char(15) CONSTRAINT IO_is_unique UNIQUE,
Close_d char(15),
Open_d char(15))               

create index IO on TAGS (IO)

create table PCM_LOG (
pcmtime datetime, 
ioaddress char(20),
PCVal int4,
fe char(20),
rc bool,
iv bool,
ct bool,
it bool,
ls bool,
ir bool,
epr bool
)


create table EVENT_LOG (
eventid serial,
eventtime datetime,
eventcode int4,
devname char(20),
channel int4,
fe char(20),
message char(128),
)

